/*!
 * Dynamsoft JavaScript Library
 * @product Dynamsoft Capture Vision Router JS Edition
 * @website http://www.dynamsoft.com
 * @copyright Copyright 2023, Dynamsoft Corporation
 * @author Dynamsoft
 * @version 2.0.11 (js 20230823)
 * @fileoverview Dynamsoft JavaScript Library for Capture Vision
 * More info on cvr JS: https://www.dynamsoft.com/capture-vision-router/sdk-javascript/
 */
import{EnumImagePixelFormat as e,EnumCapturedResultItemType as t,IntermediateResultManager as s,EnumColourChannelUsageType as i}from"dynamsoft-core";const a=e=>e&&"object"==typeof e&&"function"==typeof e.then;class r extends Promise{constructor(e){let t,s;super(((e,i)=>{t=e,s=i})),this._s="pending",this.resolve=e=>{this.isPending&&(a(e)?this.task=e:(this._s="fulfilled",t(e)))},this.reject=e=>{this.isPending&&(this._s="rejected",s(e))},this.task=e}get status(){return this._s}get isPending(){return"pending"===this._s}get isFulfilled(){return"fulfilled"===this._s}get isRejected(){return"rejected"===this._s}get task(){return this._task}set task(e){let t;this._task=e,a(e)?t=e:"function"==typeof e&&(t=new Promise(e)),t&&(async()=>{try{const s=await t;e===this._task&&this.resolve(s)}catch(t){e===this._task&&this.reject(t)}})()}get isEmpty(){return null==this._task}}const n="undefined"==typeof self,o=n?{}:self;let c,l,d,u,m;"undefined"!=typeof navigator&&(c=navigator,l=c.userAgent,d=c.platform,u=c.mediaDevices),function(){if(!n){const e={Edge:{search:"Edg",verSearch:"Edg"},OPR:null,Chrome:null,Safari:{str:c.vendor,search:"Apple",verSearch:["Version","iPhone OS","CPU OS"]},Firefox:null,Explorer:{search:"MSIE",verSearch:"MSIE"}},t={HarmonyOS:null,Android:null,iPhone:null,iPad:null,Windows:{str:d,search:"Win"},Mac:{str:d},Linux:{str:d}};let s="unknownBrowser",i=0,a="unknownOS";for(let t in e){const a=e[t]||{};let r=a.str||l,n=a.search||t,o=a.verStr||l,c=a.verSearch||t;if(c instanceof Array||(c=[c]),-1!=r.indexOf(n)){s=t;for(let e of c){let t=o.indexOf(e);if(-1!=t){i=parseFloat(o.substring(t+e.length+1));break}}break}}for(let e in t){const s=t[e]||{};let i=s.str||l,r=s.search||e;if(-1!=i.indexOf(r)){a=e;break}}"Linux"==a&&-1!=l.indexOf("Windows NT")&&(a="HarmonyOS"),m={browser:s,version:i,OS:a}}n&&(m={browser:"ssr",version:0,OS:"ssr"})}();const h="undefined"!=typeof WebAssembly&&l&&!(/Safari/.test(l)&&!/Chrome/.test(l)&&/\(.+\s11_2_([2-6]).*\)/.test(l)),g=!("undefined"==typeof Worker),p=!(!u||!u.getUserMedia),_=async()=>{let e=!1;if(p)try{(await u.getUserMedia({video:!0})).getTracks().forEach((e=>{e.stop()})),e=!0}catch(e){}return e};"Chrome"===m.browser&&m.version>66||"Safari"===m.browser&&m.version>13||"OPR"===m.browser&&m.version>43||"Edge"===m.browser&&m.version;const I=(()=>{if(!n&&document.currentScript){let e=document.currentScript.src,t=e.indexOf("?");if(-1!=t)e=e.substring(0,t);else{let t=e.indexOf("#");-1!=t&&(e=e.substring(0,t))}return e.substring(0,e.lastIndexOf("/")+1)}return"./"})(),f=" is not allowed to change after `createInstance` or `loadWasm` is called.",y=!n&&document.currentScript&&(document.currentScript.getAttribute("data-license")||document.currentScript.getAttribute("data-productKeys")||document.currentScript.getAttribute("data-licenseKey")||document.currentScript.getAttribute("data-handshakeCode")||document.currentScript.getAttribute("data-organizationID"))||"",R=(e,t)=>{const s=e;if(!s._pLoad.isEmpty)throw new Error("`license`"+f);s._license=t};!n&&document.currentScript&&document.currentScript.getAttribute("data-sessionPassword");const k=e=>{if(null==e)e=[];else{e=e instanceof Array?[...e]:[e];for(let t=0;t<e.length;++t){if(!n){let s=document.createElement("a");s.href=e[t],e[t]=s.href}e[t].endsWith("/")||(e[t]+="/")}}return e},S=(e,t)=>{const s=e;if(!s._pLoad.isEmpty)throw new Error("`licenseServer`"+f);s._licenseServer=k(t)},w=(e,t)=>{const s=e;if(!s._pLoad.isEmpty)throw new Error("`deviceFriendlyName`"+f);s._deviceFriendlyName=t||""},b=e=>{const t=e;if(t._pLoad.isEmpty){let e,s,i=t._license||"",a=JSON.parse(JSON.stringify(t._licenseServer)),r=t._sessionPassword,n=0;if(i.startsWith("t")||i.startsWith("f"))n=0;else if(0===i.length||i.startsWith("P")||i.startsWith("L")||i.startsWith("Y")||i.startsWith("A"))n=1;else{n=2;const t=i.indexOf(":");if(-1!=t&&(i=i.substring(t+1)),i.startsWith("DLS2")){let t;try{let e=i.substring(4);e=atob(e),t=JSON.parse(e)}catch(e){throw new Error("Format Error: The license string you specified is invalid, please check to make sure it is correct.")}if(i=t.handshakeCode?t.handshakeCode:t.organizationID?t.organizationID:"","number"==typeof i&&(i=JSON.stringify(i)),0===a.length){let e=[];t.mainServerURL&&(e[0]=t.mainServerURL),t.standbyServerURL&&(e[1]=t.standbyServerURL),a=k(e)}!r&&t.sessionPassword&&(r=t.sessionPassword),e=t.remark}("200001"===i||i.startsWith("200001-"))&&(a&&a.length||(i="")),i||(n=1)}if(n&&(o.crypto||(s="Please upgrade your browser to support online key."),o.crypto.subtle||(s="Require https to use online key in this browser.")),s){if(1!==n)throw new Error(s);n=0,console.warn(s),t._lastErrorCode=-1,t._lastErrorString=s}return 1===n&&(i="",console.warn("Applying for a public trial license ...")),{lt:n,l:i,ls:a,sp:r,rmk:e}}throw new Error("Can't preprocess license again"+f)};var v;!function(e){e[e.ISS_BUFFER_EMPTY=0]="ISS_BUFFER_EMPTY",e[e.ISS_EXHAUSTED=1]="ISS_EXHAUSTED"}(v||(v={}));var T={onTaskResultsReceived:!1,onPredetectedRegionsReceived:!1,onLocalizedBarcodesReceived:!1,onDecodedBarcodesReceived:!1,onRecognizedTextLinesReceived:!1,onDetectedQuadsReceived:!1,onNormalizedImagesReceived:!1,onParsedResultsReceived:!1,onColourImageUnitReceived:!1,onScaledDownColourImageUnitReceived:!1,onGrayscaleImageUnitReceived:!1,onTransformedGrayscaleImageUnitReceived:!1,onEnhancedGrayscaleImageUnitReceived:!1,onBinaryImageUnitReceived:!1,onTextureDetectionResultUnitReceived:!1,onTextureRemovedGrayscaleImageUnitReceived:!1,onTextureRemovedBinaryImageUnitReceived:!1,onContoursUnitReceived:!1,onLineSegmentsUnitReceived:!1,onTextZonesUnitReceived:!1,onTextRemovedBinaryImageUnitReceived:!1,onLongLinesUnitReceived:!1,onCornersUnitReceived:!1,onCandidateQuadEdgesUnitReceived:!1,onCandidateBarcodeZonesUnitReceived:!1,onScaledUpBarcodeImageUnitReceived:!1,onDeformationResistedBarcodeImageUnitReceived:!1,onComplementedBarcodeImageUnitReceived:!1};function D(e,t){if(!e)return[];"string"==typeof e&&(e=JSON.parse(e));let s=[],i=[];function a(t){let s=e.TargetROIDefOptions.filter((e=>t.includes(e.Name)));return s.forEach((e=>{i=i.concat(e.TaskSettingNameArray)})),s}function r(t,a){if(e[t])for(let r=0;r<e[t].length;r++)if(i.includes(e[t][r].Name)){s.push(a);break}}let n=e.CaptureVisionTemplates.findIndex((e=>e.Name===t));n=n<0?0:n;let o=e.CaptureVisionTemplates[n].ImageROIProcessingNameArray,c=e.CaptureVisionTemplates[n].SemanticProcessingNameArray;o=o||[];let l=a(o).map((e=>{if(e.Location&&e.Location.ReferenceObjectFilter&&e.Location.ReferenceObjectFilter.ReferenceTargetROIDefNameArray)return e.Location.ReferenceObjectFilter.ReferenceTargetROIDefNameArray})).filter(Boolean),d=[];return l.forEach((e=>{d=d.concat(e)})),d=[...new Set(d)],a(d),i=[...new Set(i)],c&&c.length&&s.push("dcp"),r("BarcodeReaderTaskSettingOptions","dbr"),r("LabelRecognizerTaskSettingOptions","dlr"),r("DocumentNormalizerTaskSettingOptions","ddn"),s}function E(e,t){let s=t.x,i=t.y,a=e[0].x,r=e[0].y,n=e[1].x,o=e[1].y,c=e[2].x,l=e[2].y,d=e[3].x,u=e[3].y,m=_(s,i,a,r,n,o),h=_(s,i,n,o,c,l),g=_(s,i,c,l,d,u),p=_(s,i,d,u,a,r);function _(e,t,s,i,a,r){return(e-s)*(r-i)-(t-i)*(a-s)}return m>=0&&h>=0&&g>=0&&p>=0||m<=0&&h<=0&&g<=0&&p<=0}const C=t;function N(e){const t={barcodesResultItems:[],textLinesResultItems:[],quadsResultItems:[],normalizedImageResultItems:[],parsedResultItems:[]};return e.items.forEach((e=>{e.type===C.CRIT_BARCODE?t.barcodesResultItems.push(e):e.type===C.CRIT_TEXT_LINE?t.textLinesResultItems.push(e):e.type===C.CRIT_DETECTED_QUAD?t.quadsResultItems.push(e):e.type===C.CRIT_NORMALIZED_IMAGE?t.normalizedImageResultItems.push(e):e.type===C.CRIT_PARSED_RESULT&&t.parsedResultItems.push(e)})),t}function O(t){let s,i=t.bytes;if(!(i&&i instanceof Uint8Array))throw Error("Parameter type error");if(t.format===e.IPF_BGR_888){const e=i.length/3;s=new Uint8ClampedArray(4*e);for(let t=0;t<e;++t)s[4*t]=i[3*t],s[4*t+1]=i[3*t+1],s[4*t+2]=i[3*t+2],s[4*t+3]=255}else if(t.format===e.IPF_RGB_888){const e=i.length/3;s=new Uint8ClampedArray(4*e);for(let t=0;t<e;++t)s[4*t]=i[3*t+2],s[4*t+1]=i[3*t+1],s[4*t+2]=i[3*t],s[4*t+3]=255}else if(t.format===e.IPF_GRAYSCALED){const e=i.length;s=new Uint8ClampedArray(4*e);for(let t=0;t<e;t++)s[4*t]=s[4*t+1]=s[4*t+2]=i[t],s[4*t+3]=255}else if(t.format===e.IPF_BINARY_8){const e=i.length,a=t.width,r=t.height,n=t.stride;s=new Uint8ClampedArray(a*r*4);for(let t=0;t<e;t++){let e=i[t],r=t%n,o=Math.floor(t/n);for(let t=0;t<8;t++){let i=r+t,n=4*(o*a+i);if(i>=a)break;s[n]=s[n+1]=s[n+2]=(128&e)/128*255,s[n+3]=255,e<<=1}}}else if(t.format===e.IPF_ABGR_8888){const e=i.length/4;s=new Uint8ClampedArray(i.length);for(let t=0;t<e;++t)s[4*t]=i[4*t],s[4*t+1]=i[4*t+1],s[4*t+2]=i[4*t+2],s[4*t+3]=i[4*t+3]}else if(t.format===e.IPF_ARGB_8888){const e=i.length/4;s=new Uint8ClampedArray(i.length);for(let t=0;t<e;++t)s[4*t]=i[4*t],s[4*t+1]=i[4*t+1],s[4*t+2]=i[4*t+2],s[4*t+3]=i[4*t+3]}return new ImageData(s,t.width,t.height)}function M(e,t){e.toCanvas=()=>L(t),e.toImage=e=>function(e,t){const s=L(t);let i=new Image,a=s.toDataURL(e);return i.src=a,i}(e,t),e.toBlob=e=>P(e,t),e.saveToFile=async(e,s)=>{if(!e)return null;if("string"!=typeof e)throw new TypeError("FileName must be of type string.");return async function(e,t,s){return await new Promise((async(i,a)=>{try{const a=t.split(".");let r=a[a.length-1];const n=await P(`image/${r}`,e);a.length<=1&&(r="png");const o=new File([n],t,{type:`image/${r}`});if(s){const e=URL.createObjectURL(o),s=document.createElement("a");s.href=e,s.download=t,s.click()}return i(o)}catch(e){return a()}}))}(t,e,s)}}function L(e){const t=document.createElement("canvas");t.width=e.width,t.height=e.height;return t.getContext("2d",{willReadFrequently:!0}).putImageData(e,0,0),t}async function P(e,t){const s=L(t);return new Promise(((t,i)=>{s.toBlob((e=>t(e)),e)}))}class x{constructor(){this._instanceID=void 0,this.videoModeTemplate="",this.intervalTime=0,this._intervalGetVideoFrame=0,this._bPauseScan=!0,this._intervalDetectVideoPause=1e3,this.captureInParallel=!0,this.canvas=null,this._bNeedOutputOriginalImage=!1,this.dsImage=null,this.irrRegistryState=T,this._resultReceiverSet=new Set,this._isaStateListenerSet=new Set,this._resultFilterSet=new Set,this._intermediateResultManager=null,this._templateName="default",this._bOpenVerify=!1,this._bOpenVerifyForNor=!1,this._bOpenDeDuplication=!1,this._bOpenDeDuplicationForNor=!1,this._bKeepResultsHighlighted=!1,this._maxCvsSideLength=["iPhone","Android","HarmonyOS"].includes(x.browserInfo.OS)?2048:4096,this._isa=null,this.bDestroyed=!1,this._promiseStartScan=null}static get engineResourcePath(){return this._engineResourcePath}static set engineResourcePath(e){if(!this._pLoad.isEmpty)throw new Error("`engineResourcePath` is not allowed to change after `createInstance` or `loadWasm` is called.");x._engineResourcePath=(e=>{if(null==e&&(e="./"),n);else{let t=document.createElement("a");t.href=e,e=t.href}return e.endsWith("/")||(e+="/"),e})(e)}static async detectEnvironment(){return await(async()=>({wasm:h,worker:g,getUserMedia:p,camera:await _(),browser:m.browser,version:m.version,OS:m.OS}))()}static get license(){return this._license}static set license(e){R(x,e)}static get licenseServer(){return this._licenseServer}static set licenseServer(e){S(x,e)}static get deviceFriendlyName(){return this._deviceFriendlyName}static set deviceFriendlyName(e){w(x,e)}set maxCvsSideLength(e){this._maxCvsSideLength=e}get maxCvsSideLength(){return this._maxCvsSideLength}set isa(e){this._isa=e}get isa(){return this._isa?this._isa:null}static getVersion(){return this._version}static async getModuleVersion(){return await new Promise(((e,t)=>{let s=x._nextTaskID++;x._taskCallbackMap.set(s,(async s=>{if(s.success)return e(JSON.parse(s.version));{let e=new Error(s.message);return e.stack=s.stack+"\n"+e.stack,t(e)}})),x._cvrWorker.postMessage({type:"getModuleVersion",id:s})}))}get disposed(){return this.bDestroyed}_checkIsDisposed(){if(this.disposed)throw new Error('"CaptureVisionRouter" instance has been disposed')}static isWasmLoaded(){return this._pLoad.isFulfilled}static async loadWasm(){if(this._pLoad.isEmpty){let{lt:e,l:t,ls:s,sp:i,rmk:a}=b(x);this._pLoad.task=async(r,n)=>{let o=x.engineResourcePath+x._workerName;x.engineResourcePath.startsWith(location.origin)||(o=await fetch(o).then((e=>e.blob())).then((e=>URL.createObjectURL(e)))),x._cvrWorker=new Worker(o),x._cvrWorker.onerror=e=>{let t=new Error(e.message);n(t)},x._cvrWorker.onmessage=async t=>{let s=t.data?t.data:t;switch(s.type){case"log":x._onLog&&x._onLog(s.message);break;case"load":{s.message&&(s.message=s.message.replace("(https://www.dynamsoft.com/purchase-center/)","(https://www.dynamsoft.com/store/dynamsoft-capture-vision-router/#javascript)"));let t,i=!1;1===e&&(i=!0),s.success?(x._cvrWorker.onerror=null,x._version=s.version+"(JS "+x._jsVersion+"."+x._jsEditVersion+")",x.moduleVersion=s.moduleVersion,x.DeviceUUID=s.DeviceUUID,x.bSupportDce4Module=s.bSupportDce4Module,x._onLog&&x._onLog("load cvr worker success"),s.message&&console.warn(s.message)):(t=new Error(s.message),t.stack=s.stack+"\n"+t.stack,i||111==s.ltsErrorCode&&-1!=s.message.toLowerCase().indexOf("trial license")&&(i=!0)),i&&x.showDialog(s.success?"warn":"error",s.message),s.success?r():n(t);break}case"task":{let e=s.id,t=s.body;try{x._taskCallbackMap.get(e)(t),x._taskCallbackMap.delete(e)}catch(t){throw x._taskCallbackMap.delete(e),t}break}default:x._onLog&&x._onLog(t)}},x._cvrWorker.postMessage({type:"loadWasm",engineResourcePath:x.engineResourcePath,bd:x._bWasmDebug,v:x._jsVersion,brtk:!!e,bptk:1===e,l:t,dm:location.origin.startsWith("http")?location.origin:"https://localhost",os:m,fn:x.deviceFriendlyName,ls:s,sp:i,rmk:a})}}await this._pLoad}static async preloadModule(e){if(x.isWasmLoaded())return console.warn('"preloadModule" can only be called before "loadWasm" is complete, maybe you need to use "initSettings()".');if("string"==typeof e&&(e=[e]),!(e&&e.length&&e instanceof Array))return;await this.loadWasm();const t=["ddn"];for(let t=0;t<e.length;t++)e[t]=e[t].toLowerCase();return e=e.filter((e=>t.includes(e))),x._promisePreloadModule=new r(((t,s)=>{const i=x._nextTaskID++;x._taskCallbackMap.set(i,(e=>{if(e.success)return t();{const t=new Error(e.message);return t.stack=e.stack+"\n"+t.stack,s(t)}})),x._cvrWorker.postMessage({type:"preloadModule",id:i,body:{modules:e}})})),await x._promisePreloadModule}static async isModuleLoaded(e){return!("string"!=typeof(e=e.toLowerCase())||!["dbr","dlr","ddn","dcp"].includes(e))&&await new Promise(((t,s)=>{const i=this._nextTaskID++;this._taskCallbackMap.set(i,(e=>{if(e.success)return t(e.isModuleLoaded);{const t=new Error(e.message);return t.stack=e.stack+"\n"+t.stack,s(t)}})),this._cvrWorker.postMessage({type:"isModuleLoaded",id:i,body:{moduleName:e}})}))}static async showDialog(e,t){await(async(e,t,s)=>{if(!e._bNeverShowDialog)try{let i=await fetch(e.engineResourcePath+"dls.license.dialog.html");if(!i.ok)throw Error("Get license dialog fail. Network Error: "+i.statusText);let a=await i.text();if(!a.trim().startsWith("<"))throw Error("Get license dialog fail. Can't get valid HTMLElement.");let r=document.createElement("div");r.innerHTML=a;let n=[];for(let e=0;e<r.childElementCount;++e){let t=r.children[e];t instanceof HTMLStyleElement&&(n.push(t),document.head.append(t))}let o=1==r.childElementCount?r.children[0]:r;o.remove();let c,l,d,u,m,h=[o],g=o.children;for(let e of g)h.push(e);for(let e=0;e<h.length;++e)for(let t of h[e].children)h.push(t);for(let e of h)if(!c&&e.classList.contains("dls-license-mask"))c=e,e.addEventListener("click",(t=>{if(e==t.target){o.remove();for(let e of n)e.remove()}}));else if(!l&&e.classList.contains("dls-license-icon-close"))l=e,e.addEventListener("click",(()=>{o.remove();for(let e of n)e.remove()}));else if(!d&&e.classList.contains("dls-license-icon-error"))d=e,"error"!=t&&e.remove();else if(!u&&e.classList.contains("dls-license-icon-warn"))u=e,"warn"!=t&&e.remove();else if(!m&&e.classList.contains("dls-license-msg-content")){m=e;let t=s;for(;t;){let s=t.indexOf("["),i=t.indexOf("]",s),a=t.indexOf("(",i),r=t.indexOf(")",a);if(-1==s||-1==i||-1==a||-1==r){e.appendChild(new Text(t));break}s>0&&e.appendChild(new Text(t.substring(0,s)));let n=document.createElement("a"),o=t.substring(s+1,i);n.innerText=o;let c=t.substring(a+1,r);n.setAttribute("href",c),n.setAttribute("target","_blank"),e.appendChild(n),t=t.substring(r+1)}}document.body.appendChild(o)}catch(t){e._onLog&&e._onLog(t.message||t)}})(this,e,t)}static async createInstance(){const e=new x;return e._instanceID=await this.createInstanceInWorker(),e._intermediateResultManager=new s,await e.initSettings('{"CaptureVisionTemplates":[{"Name":"default"},{"Name":"read-barcodes","ImageROIProcessingNameArray":["read-barcodes-roi"]},{"Name":"recognize-textlines","ImageROIProcessingNameArray":["recognize-textlines-roi"]},{"Name":"detect-document-boundaries","ImageROIProcessingNameArray":["detect-document-boundaries-roi"]},{"Name":"detect-and-normalize-document","ImageROIProcessingNameArray":["detect-and-normalize-document-roi"]},{"Name":"normalize-document","ImageROIProcessingNameArray":["normalize-document-roi"]}],"TargetROIDefOptions":[{"Name":"read-barcodes-roi","TaskSettingNameArray":["read-barcodes-task"]},{"Name":"recognize-textlines-roi","TaskSettingNameArray":["recognize-textlines-task"]},{"Name":"detect-document-boundaries-roi","TaskSettingNameArray":["detect-document-boundaries-task"]},{"Name":"detect-and-normalize-document-roi","TaskSettingNameArray":["detect-and-normalize-document-task"]},{"Name":"normalize-document-roi","TaskSettingNameArray":["normalize-document-task"]}],"BarcodeFormatSpecificationOptions":[{"Name":"bfs1","BarcodeFormatIds":["BF_PDF417","BF_QR_CODE","BF_DATAMATRIX","BF_AZTEC","BF_MICRO_QR","BF_MICRO_PDF417","BF_DOTCODE"],"MirrorMode":"MM_BOTH"},{"Name":"bfs2","BarcodeFormatIds":["BF_ALL"],"MirrorMode":"MM_NORMAL"}],"BarcodeReaderTaskSettingOptions":[{"Name":"read-barcodes-task","BarcodeFormatSpecificationNameArray":["bfs1","bfs2"],"SectionImageParameterArray":[{"Section":"ST_REGION_PREDETECTION","ImageParameterName":"ip-read-barcode"},{"Section":"ST_BARCODE_LOCALIZATION","ImageParameterName":"ip-read-barcode"},{"Section":"ST_BARCODE_DECODING","ImageParameterName":"ip-decode"}]}],"TextLineSpecificationOptions":[{"Name":"tls1"}],"LabelRecognizerTaskSettingOptions":[{"Name":"recognize-textlines-task","TextLineSpecificationNameArray":["tls1"],"SectionImageParameterArray":[{"Section":"ST_REGION_PREDETECTION","ImageParameterName":"ip-recognize-textline"},{"Section":"ST_TEXT_LINE_LOCALIZATION","ImageParameterName":"ip-recognize-textline"},{"Section":"ST_TEXT_LINE_RECOGNITION","ImageParameterName":"ip-recognize-textline"}]}],"DocumentNormalizerTaskSettingOptions":[{"Name":"detect-and-normalize-document-task","SectionImageParameterArray":[{"Section":"ST_REGION_PREDETECTION","ImageParameterName":"ip-detect-and-normalize"},{"Section":"ST_DOCUMENT_DETECTION","ImageParameterName":"ip-detect-and-normalize"},{"Section":"ST_DOCUMENT_NORMALIZATION","ImageParameterName":"ip-detect-and-normalize"}]},{"Name":"detect-document-boundaries-task","TerminateSetting":{"Section":"ST_DOCUMENT_DETECTION"},"SectionImageParameterArray":[{"Section":"ST_REGION_PREDETECTION","ImageParameterName":"ip-detect"},{"Section":"ST_DOCUMENT_DETECTION","ImageParameterName":"ip-detect"},{"Section":"ST_DOCUMENT_NORMALIZATION","ImageParameterName":"ip-detect"}]},{"Name":"normalize-document-task","StartSection":"ST_DOCUMENT_NORMALIZATION","SectionImageParameterArray":[{"Section":"ST_REGION_PREDETECTION","ImageParameterName":"ip-normalize"},{"Section":"ST_DOCUMENT_DETECTION","ImageParameterName":"ip-normalize"},{"Section":"ST_DOCUMENT_NORMALIZATION","ImageParameterName":"ip-normalize"}]}],"ImageParameterOptions":[{"Name":"ip-read-barcode","TextDetectionMode":{"Mode":"TTDM_LINE","Sensitivity":3},"IfEraseTextZone":1},{"Name":"ip-decode","ScaleDownThreshold":99999},{"Name":"ip-recognize-textline","TextDetectionMode":{"Mode":"TTDM_LINE","CharHeightRange":[20,1000,1],"Sensitivity":7}},{"Name":"ip-detect-and-normalize","BinarizationModes":[{"Mode":"BM_LOCAL_BLOCK","BlockSizeX":0,"BlockSizeY":0,"EnableFillBinaryVacancy":0}],"TextDetectionMode":{"Mode":"TTDM_WORD","Sensitivity":7}},{"Name":"ip-detect","ScaleDownThreshold":512,"BinarizationModes":[{"Mode":"BM_LOCAL_BLOCK","BlockSizeX":0,"BlockSizeY":0,"EnableFillBinaryVacancy":0,"ThresholdCompensation":7}],"TextDetectionMode":{"Mode":"TTDM_WORD","Sensitivity":7}},{"Name":"ip-normalize","BinarizationModes":[{"Mode":"BM_LOCAL_BLOCK","BlockSizeX":0,"BlockSizeY":0,"EnableFillBinaryVacancy":0}],"TextDetectionMode":{"Mode":"TTDM_WORD","Sensitivity":7}}]}'),e}static async createInstanceInWorker(){return await this.loadWasm(),await new Promise(((e,t)=>{const s=this._nextTaskID++;this._taskCallbackMap.set(s,(s=>{if(s.success)return e(s.instanceID);{const e=new Error(s.message);return e.stack=s.stack+"\n"+e.stack,t(e)}})),this._cvrWorker.postMessage({type:"createInstance",id:s})}))}setInput(e){if(this._checkIsDisposed(),!e)throw new Error("Invalid imageSource.");if(this.isa=e,e.isCameraEnhancer){this._intermediateResultManager.addResultReceiver(this.isa._intermediateResultReceiver);const t=this.isa.getCameraView();if(t){const e=t._capturedResultReceiver;e.isDce=!0,this._resultReceiverSet.add(e)}e.on("singleFrameAcquired",(async e=>{const t=await this.capture(e,this._templateName);t.originalImageTag=e.tag;const s=N(t);for(let e of this._resultReceiverSet)e.onCapturedResultReceived&&e.onCapturedResultReceived(t),this._bNeedOutputOriginalImage&&e.onOriginalImageResultReceived&&e.onOriginalImageResultReceived({imageData:this.dsImage}),e.onDetectedQuadsReceived&&s.quadsResultItems.length&&e.onDetectedQuadsReceived({originalImageHashId:t.originalImageHashId,originalImageTag:t.originalImageTag,quadsResultItems:s.quadsResultItems}),e.onNormalizedImagesReceived&&s.normalizedImageResultItems.length&&e.onNormalizedImagesReceived({originalImageHashId:t.originalImageHashId,originalImageTag:t.originalImageTag,normalizedImageResultItems:s.normalizedImageResultItems})}))}}getInput(){return this._isa}addImageSourceStateListener(e){if(this._checkIsDisposed(),"object"!=typeof e)return console.warn("Invalid ISA state listener.");e&&Object.keys(e)&&this._isaStateListenerSet.add(e)}removeImageSourceStateListener(e){return this._checkIsDisposed(),this._isaStateListenerSet.delete(e)}addResultReceiver(e){if(this._checkIsDisposed(),"object"!=typeof e)throw new Error("Invalid receiver.");e&&Object.keys(e).length&&(this._resultReceiverSet.add(e),this._setCrrRegistry())}removeResultReceiver(e){this._checkIsDisposed(),this._resultReceiverSet.delete(e),this._setCrrRegistry()}async _setCrrRegistry(){this._checkIsDisposed();const e={onCapturedResultReceived:!1,onDecodedBarcodesReceived:!1,onRecognizedTextLinesReceived:!1,onDetectedQuadsReceived:!1,onNormalizedImagesReceived:!1};for(let t of this._resultReceiverSet)t.onCapturedResultReceived&&(e.onCapturedResultReceived=!0),t.onDecodedBarcodesReceived&&(e.onDecodedBarcodesReceived=!0),t.onRecognizedTextLinesReceived&&(e.onRecognizedTextLinesReceived=!0),t.onDetectedQuadsReceived&&(e.onDetectedQuadsReceived=!0),t.onNormalizedImagesReceived&&(e.onNormalizedImagesReceived=!0);return await new Promise(((t,s)=>{let i=x._nextTaskID++;x._taskCallbackMap.set(i,(async e=>{if(e.success)return t();{let t=new Error(e.message);return t.stack=e.stack+"\n"+t.stack,s(t)}})),x._cvrWorker.postMessage({type:"setCrrRegistry",id:i,instanceID:this._instanceID,body:{receiver:JSON.stringify(e)}})}))}async addResultFilter(e){if(this._checkIsDisposed(),"object"!=typeof e)return console.warn("Invalid filter.");if(e&&Object.keys(e)){await x._promisePreloadModule;for(let t in e.verificationEnabled)await this.enableResultCrossVerification(Number(t),e.verificationEnabled[t]);for(let t in e.duplicateFilterEnabled)await this.enableResultDeduplication(Number(t),e.duplicateFilterEnabled[t]);for(let t in e.duplicateForgetTime)await this.setDuplicateForgetTime(Number(t),e.duplicateForgetTime[t]);this._resultFilterSet.add(e),this._handleFilterSwitch();for(let t in e.verificationEnabled){let s=e.verificationEnabled[Number(t)];Object.defineProperty(e.verificationEnabled,t,{configurable:!0,get:()=>s,set:async e=>{await this.enableResultCrossVerification(Number(t),e),s=e,this._handleFilterSwitch()}})}for(let t in e.duplicateFilterEnabled){let s=e.duplicateFilterEnabled[Number(t)];Object.defineProperty(e.duplicateFilterEnabled,t,{configurable:!0,get:()=>s,set:async e=>{await this.enableResultDeduplication(Number(t),e),s=e}})}for(let t in e.duplicateForgetTime)Object.defineProperty(e.duplicateForgetTime,t,{configurable:!0,get:async()=>await this.getDuplicateForgetTime(Number(t)),set:async e=>{await this.setDuplicateForgetTime(Number(t),e)}})}}removeResultFilter(e){this._checkIsDisposed(),this._resultFilterSet.delete(e),this._handleFilterSwitch()}_handleFilterSwitch(){this._bOpenVerify=!1,this._bOpenVerifyForNor=!1;for(let e of this._resultFilterSet)e.isResultCrossVerificationEnabled(8)&&(this._bOpenVerify=!0),e.isResultCrossVerificationEnabled(16)&&(this._bOpenVerifyForNor=!0)}async startCapturing(e="detect-document-boundaries"){if(this._checkIsDisposed(),!this._bPauseScan)return;if(!this.isa)throw new Error("'ImageSourceAdapter' is not set. call 'setInput' before 'startCapturing'");if(this.settings=await this.outputSettings(e),this.isa.singleFrameMode)return void(this._templateName=e);const t=D(this.settings,e);return this.isa.getColourChannelUsageType()===i.CCUT_AUTO&&(t.includes("ddn")?this.isa.setColourChannelUsageType(i.CCUT_FULL_CHANNEL):this.isa.setColourChannelUsageType(i.CCUT_Y_CHANNEL_ONLY)),this._bNeedOutputOriginalImage=1===this.settings.CaptureVisionTemplates[0].OutputOriginalImage,this._promiseStartScan&&this._promiseStartScan.isPending?this._promiseStartScan:(this._promiseStartScan=new r(((s,i)=>{let a=x._nextTaskID++;x._taskCallbackMap.set(a,(async t=>{if(this._promiseStartScan&&!this._promiseStartScan.isFulfilled){if(!t.success){let e=new Error(t.message);return e.stack=t.stack+"\n"+e.stack,i(e)}this._bPauseScan=!1,this._loopReadVideoTimeoutId&&clearTimeout(this._loopReadVideoTimeoutId),this._loopReadVideoTimeoutId=setTimeout((async()=>{this.isa.startFetching(),this.isa.isCameraEnhancer&&this.isa.getCameraView().setScanLaserVisible(!0),this._loopReadVideo(e),s()}),0)}})),x._cvrWorker.postMessage({type:"startCapturing",id:a,instanceID:this._instanceID,body:{modules:t,templateName:e}})})),await this._promiseStartScan)}stopCapturing(e){this._checkIsDisposed(),this.isa&&(this._bKeepResultsHighlighted=e&&e.keepResultsHighlighted,this.isa.stopFetching(),this._clearVerifyList(),this.isa.isCameraEnhancer&&this.isa.getCameraView().setScanLaserVisible(!1),this._bPauseScan=!0,this._promiseStartScan=null,this.isa.setColourChannelUsageType(i.CCUT_AUTO))}async _clearVerifyList(){return await new Promise(((e,t)=>{let s=x._nextTaskID++;x._taskCallbackMap.set(s,(async s=>{if(s.success)return e();{let e=new Error(s.message);return e.stack=s.stack+"\n"+e.stack,t(e)}})),x._cvrWorker.postMessage({type:"clearVerifyList",id:s,instanceID:this._instanceID})}))}async getIntermediateResult(){return this._checkIsDisposed(),await new Promise(((e,t)=>{let s=x._nextTaskID++;x._taskCallbackMap.set(s,(async s=>{if(s.success){const t=JSON.parse(s.result,((e,t)=>("location"===e&&(t.contains=e=>E(t.points,e)),t)));return e(t)}{let e=new Error(s.message);return e.stack=s.stack+"\n"+e.stack,t(e)}})),x._cvrWorker.postMessage({type:"getIntermediateResult",id:s,instanceID:this._instanceID})}))}async _loopReadVideo(e){if(!this.disposed&&!this._bPauseScan||this._bKeepResultsHighlighted)if(this.isa.isBufferEmpty()){if(this.isa.hasNextImageToFetch())for(let e of this._isaStateListenerSet)e.onImageSourceStateListener&&e.onImageSourceStateListener(v.ISS_BUFFER_EMPTY);else if(!this.isa.hasNextImageToFetch())for(let e of this._isaStateListenerSet)e.onImageSourceStateListener&&e.onImageSourceStateListener(v.ISS_EXHAUSTED);this._reRunCurrnetFunc(e)}else this.dsImage=this.isa.getImage(),this.dsImage?this._captureDsimage(this.dsImage,e,!0).then((async t=>{t.originalImageTag=this.dsImage.tag?this.dsImage.tag:null;for(let e of this._resultReceiverSet)e.isDce&&e.onCapturedResultReceived(t,{isDetectVerifyOpen:this._bOpenVerify,isNormalizeVerifyOpen:this._bOpenVerifyForNor});for(let e of this._resultFilterSet)e.onDetectedQuadsReceived(t.items),e.onNormalizedImagesReceived(t.items);const s=N(t);for(let e of this._resultReceiverSet)this._bNeedOutputOriginalImage&&e.onOriginalImageResultReceived&&e.onOriginalImageResultReceived({imageData:this.dsImage}),e.onDetectedQuadsReceived&&s.quadsResultItems.length&&e.onDetectedQuadsReceived({originalImageHashId:t.originalImageHashId,originalImageTag:t.originalImageTag,quadsResultItems:s.quadsResultItems.filter((e=>!e.isFilter))}),e.onNormalizedImagesReceived&&s.normalizedImageResultItems.length&&e.onNormalizedImagesReceived({originalImageHashId:t.originalImageHashId,originalImageTag:t.originalImageTag,normalizedImageResultItems:s.normalizedImageResultItems.filter((e=>!e.isFilter))}),e.onCapturedResultReceived&&!e.isDce&&(t.items=t.items.filter((e=>!e.isFilter)),e.onCapturedResultReceived(t));this._loopReadVideoTimeoutId&&clearTimeout(this._loopReadVideoTimeoutId),this.intervalTime?this._loopReadVideoTimeoutId=setTimeout((()=>{this._loopReadVideo(e)}),this.intervalTime):this._loopReadVideo(e)})).catch((t=>{this.isa.stopFetching(),this._loopReadVideoTimeoutId&&clearTimeout(this._loopReadVideoTimeoutId),this._loopReadVideoTimeoutId=setTimeout((()=>{this.isa.startFetching(),this._loopReadVideo(e)}),Math.max(this.intervalTime,1e3)),"platform error"!==t.message&&console.warn(t.message)})):this._reRunCurrnetFunc(e);else for(let e of this._resultReceiverSet)e.isDce&&e.onCapturedResultReceived&&e.onCapturedResultReceived([])}_reRunCurrnetFunc(e){this._loopReadVideoTimeoutId&&clearTimeout(this._loopReadVideoTimeoutId),this._loopReadVideoTimeoutId=setTimeout((()=>{this._loopReadVideo(e)}),0)}async capture(e,t="detect-document-boundaries",s=!1){if(this._checkIsDisposed(),!e)return null;let i;if((a=e)&&"object"==typeof a&&!Array.isArray(a)&&"bytes"in a&&"width"in a&&"height"in a&&"stride"in a&&"format"in a)i=await this._captureDsimage(e,t,s);else if("string"==typeof e)i=await this._captureUrl(e,t,s);else if(e instanceof Blob)i=await this._captureBlob(e,t,s);else if(e instanceof HTMLImageElement)i=await this._captureImage(e,t,s);else{if(!(e instanceof HTMLCanvasElement))throw new TypeError("'capture(imageOrFile, templateName)': Type of 'imageOrFile' should be 'DSImageData', 'Url', 'Blob', 'HTMLImageElement', 'HTMLCanvasElement'.");i=await this._captureCanvas(e,t,s)}var a;return i}async _captureDsimage(e,t,s=!1){return await this._captureInWorker(e,t,s)}async _captureUrl(e,t,s=!1){let i=await new Promise(((t,s)=>{let i=new XMLHttpRequest;i.open("GET",e,!0),i.responseType="blob",i.send(),i.onloadend=async()=>{t(i.response)},i.onerror=()=>{s(new Error("Network Error: "+i.statusText))}}));return await this._captureBlob(i,t,s)}async _captureBlob(e,t,s=!1){let i=null,a=null;if("undefined"!=typeof createImageBitmap)try{i=await createImageBitmap(e)}catch(e){}var r;i||(a=await(r=e,new Promise(((e,t)=>{let s=URL.createObjectURL(r),i=new Image;i.ddnObjUrl=s,i.src=s,i.onload=()=>{URL.revokeObjectURL(s),e(i)},i.onerror=e=>{t(new Error("Can't convert blob to image : "+(e instanceof Event?e.type:e)))}}))));let n=await this._captureImage(i||a,t,s);return i&&i.close(),n}async _captureImage(e,t,s=!1){let i,a,r=e instanceof HTMLImageElement?e.naturalWidth:e.width,n=e instanceof HTMLImageElement?e.naturalHeight:e.height,o=Math.max(r,n);if(o>this.maxCvsSideLength){let e=this.maxCvsSideLength/o;i=Math.round(r*e),a=Math.round(n*e)}else i=r,a=n;this.canvas||(this.canvas=document.createElement("canvas"));const c=this.canvas;c.width===i&&c.height===a||(c.width=i,c.height=a),c.ctx2d||(c.ctx2d=c.getContext("2d",{willReadFrequently:!0}));return c.ctx2d.drawImage(e,0,0,r,n,0,0,i,a),e.dbrObjUrl&&URL.revokeObjectURL(e.dbrObjUrl),await this._captureCanvas(c,t,s)}async _captureCanvas(e,t,s=!1){if(e.crossOrigin&&"anonymous"!=e.crossOrigin)throw"cors";if([e.width,e.height].includes(0))throw Error("The width or height of the 'canvas' is 0.");const i=e.ctx2d||e.getContext("2d",{willReadFrequently:!0}),a={bytes:Uint8Array.from(i.getImageData(0,0,e.width,e.height).data),width:e.width,height:e.height,stride:4*e.width,format:10};return await this._captureInWorker(a,t,s)}async _captureInWorker(e,s,i=!1){return await new Promise(((a,r)=>{const{bytes:n,width:o,height:c,stride:l,format:d}=e;let u=x._nextTaskID++;x._taskCallbackMap.set(u,(s=>{if(!s.success){let e=new Error(s.message);return e.stack=s.stack+"\n"+e.stack,r(e)}try{const i=s.captureResult;this.dsImage&&(this.dsImage.bytes=s.bytes);for(let a=0;a<i.items.length;a++){if(i.items[a].type===t.CRIT_ORIGINAL_IMAGE&&(e.bytes=s.bytes,i.items[a].imageData=e),i.items[a].type===t.CRIT_NORMALIZED_IMAGE){const e=O(i.items[a].imageData);M(i.items[a],e)}i.items[a].location&&(i.items[a].location.contains=e=>E(i.items[a].location.points,e))}a(i)}catch(e){return r(e)}})),x._cvrWorker.postMessage({type:"capture",id:u,instanceID:this._instanceID,body:{bytes:n,width:o,height:c,stride:l,format:d,templateName:s||"",bScanner:i}},[n.buffer])}))}async initSettings(e){if(this._checkIsDisposed(),!e||!["string","object"].includes(typeof e))return console.error("Invalid template.");"string"==typeof e&&/^(https?:\/\/)?([\da-z.-]+).([a-z.]{2,6})([/\w .-]*)*\/?$/.test(e)&&(e=await new Promise(((t,s)=>{let i=new XMLHttpRequest;i.open("GET",e,!0),i.responseType="text",i.send(),i.onloadend=async()=>{t(i.response)},i.onerror=()=>{s(new Error("Network Error: "+i.statusText))}}))),"object"==typeof e&&(e=JSON.stringify(e)),this.settings=e;const t=D(this.settings);return await new Promise(((s,i)=>{let a=x._nextTaskID++;x._taskCallbackMap.set(a,(async e=>{if(e.success){const t=JSON.parse(e.response);if(0!==t.exception){let e=new Error(t.description?t.description:"Init Settings Failed.");return e.errorCode=t.exception,i(e)}return this.settings=await this.outputSettings(),this._bNeedOutputOriginalImage=1===this.settings.CaptureVisionTemplates[0].OutputOriginalImage,s(t)}{let t=new Error(e.message);return t.stack=e.stack+"\n"+t.stack,i(t)}})),x._cvrWorker.postMessage({type:"initSettings",id:a,instanceID:this._instanceID,body:{settings:e,modules:t}})}))}async outputSettings(e){return this._checkIsDisposed(),await new Promise(((t,s)=>{let i=x._nextTaskID++;x._taskCallbackMap.set(i,(async e=>{if(e.success){const i=JSON.parse(e.settings);if(0!==i.errorCode){let e=new Error(i.errorString);return e.errorCode=i.errorCode,s(e)}return delete i.errorCode,delete i.errorString,t(i)}{let t=new Error(e.message);return t.stack=e.stack+"\n"+t.stack,s(t)}})),x._cvrWorker.postMessage({type:"outputSettings",id:i,instanceID:this._instanceID,body:{templateName:e||""}})}))}async getSimplifiedSettings(e){return this._checkIsDisposed(),await new Promise(((t,s)=>{let i=x._nextTaskID++;x._taskCallbackMap.set(i,(async e=>{if(e.success){const i=JSON.parse(e.settings,((e,t)=>("roi"===e&&(t.contains=e=>E(t.points,e)),t)));if(0!==i.code){let e=new Error(i.codeString);return e.errorCode=i.errorCode,s(e)}return await x.isModuleLoaded("DBR")||delete i.barcodeSettings,await x.isModuleLoaded("DLR")||delete i.labelSettings,delete i.code,delete i.codeString,t(i)}{let t=new Error(e.message);return t.stack=e.stack+"\n"+t.stack,s(t)}})),x._cvrWorker.postMessage({type:"getSimplifiedSettings",id:i,instanceID:this._instanceID,body:{templateName:e}})}))}async updateSettings(e,t){if(this._checkIsDisposed(),!e)throw new Error("'updateSettings()' must pass in the templateName as the first parameter");const s=["numberletter","numberuppercase","number","letter","mrz","passportmrz","visamrz","idcardmrz","vin_na","vin"];return"string"==typeof t&&(["coverage","dense","distance"].includes(t.toLowerCase())?this.maxCvsSideLength=4096:s.includes(t.toLowerCase())&&(t=await this._updateDlrSettings(t,e))),"object"==typeof t&&delete t.roi.contains,await new Promise(((s,i)=>{let a=x._nextTaskID++;x._taskCallbackMap.set(a,(async e=>{if(e.success){const t=JSON.parse(e.response);if(0!==t.exception){let e=new Error(t.description?t.description:"Update Settings Failed.");return e.errorCode=t.exception,i(e)}return s(t)}{let t=new Error(e.message);return t.stack=e.stack+"\n"+t.stack,i(t)}})),x._cvrWorker.postMessage({type:"updateSettings",id:a,instanceID:this._instanceID,body:{settings:t,templateName:e}})}))}async _updateDlrSettings(e,t){return await this.getSimplifiedSettings(t)}async resetSettings(){return this._checkIsDisposed(),await new Promise(((e,t)=>{let s=x._nextTaskID++;x._taskCallbackMap.set(s,(async s=>{if(s.success){const i=JSON.parse(s.response);if(0!==i.exception){let e=new Error(i.description?i.description:"Reset Settings Failed.");return e.errorCode=i.exception,t(e)}return e(i)}{let e=new Error(s.message);return e.stack=s.stack+"\n"+e.stack,t(e)}})),x._cvrWorker.postMessage({type:"resetSettings",id:s,instanceID:this._instanceID})}))}getIntermediateResultManager(){if(this._checkIsDisposed(),!this._intermediateResultManager)return null;const e=new Proxy(this._intermediateResultManager.intermediateResultReceiverSet,{get:(e,t)=>"add"===t?function(...t){const[s]=t;e.has(s)||e.add(s)}:"delete"===t?function(...t){const[s]=t;return!!e.has(s)&&(e.delete(s),!0)}:void 0});return this._intermediateResultManager.addResultReceiver=async t=>{if("object"!=typeof t)throw new Error("Invalid receiver.");e.add(t);for(let e in t){let t=e;this.irrRegistryState[t]=!0}return await new Promise(((e,t)=>{let s=x._nextTaskID++;x._taskCallbackMap.set(s,(async s=>{if(s.success)return e();{let e=new Error(s.message);return e.stack=s.stack+"\n"+e.stack,t(e)}})),x._cvrWorker.postMessage({type:"setIrrRegistry",id:s,instanceID:this._instanceID,body:{receiverObj:this.irrRegistryState}})}))},this._intermediateResultManager.removeResultReceiver=async t=>{for(let e in t){let t=e;this.irrRegistryState[t]=!1}return e.delete(t),await new Promise(((e,t)=>{let s=x._nextTaskID++;x._taskCallbackMap.set(s,(async s=>{if(s.success)return e();{let e=new Error(s.message);return e.stack=s.stack+"\n"+e.stack,t(e)}})),x._cvrWorker.postMessage({type:"setIrrRegistry",id:s,instanceID:this._instanceID,body:{receiverObj:this.irrRegistryState}})}))},this._intermediateResultManager.getOriginalImage=async e=>this.dsImage,this._intermediateResultManager}async enableResultCrossVerification(e,t){return this._checkIsDisposed(),await new Promise(((s,i)=>{let a=x._nextTaskID++;x._taskCallbackMap.set(a,(async e=>{if(e.success)return s();{let t=new Error(e.message);return t.stack=e.stack+"\n"+t.stack,i(t)}})),x._cvrWorker.postMessage({type:"enableResultCrossVerification",id:a,instanceID:this._instanceID,body:{type:e,enabled:t}})}))}async enableResultDeduplication(e,t){return this._checkIsDisposed(),await new Promise(((s,i)=>{let a=x._nextTaskID++;x._taskCallbackMap.set(a,(async e=>{if(e.success)return s();{let t=new Error(e.message);return t.stack=e.stack+"\n"+t.stack,i(t)}})),x._cvrWorker.postMessage({type:"enableResultDeduplication",id:a,instanceID:this._instanceID,body:{type:e,enabled:t}})}))}async setDuplicateForgetTime(e,t){return this._checkIsDisposed(),await new Promise(((s,i)=>{let a=x._nextTaskID++;x._taskCallbackMap.set(a,(async e=>{if(e.success)return s();{let t=new Error(e.message);return t.stack=e.stack+"\n"+t.stack,i(t)}})),x._cvrWorker.postMessage({type:"setDuplicateForgetTime",id:a,instanceID:this._instanceID,body:{type:e,time:t}})}))}async getDuplicateForgetTime(e){return this._checkIsDisposed(),await new Promise(((t,s)=>{let i=x._nextTaskID++;x._taskCallbackMap.set(i,(async e=>{if(e.success)return t(e.time);{let t=new Error(e.message);return t.stack=e.stack+"\n"+t.stack,s(t)}})),x._cvrWorker.postMessage({type:"getDuplicateForgetTime",id:i,instanceID:this._instanceID,body:{type:e}})}))}static async consumeForDce(e){return await new Promise(((t,s)=>{let i=x._nextTaskID++;x._taskCallbackMap.set(i,(async e=>{if(e.success)return t();{let t=new Error(e.message);return t.stack=e.stack+"\n"+t.stack,s(t)}})),x._cvrWorker.postMessage({type:"consumeForDce",id:i,body:{count:e}})}))}async setThresholdValue(e,t,s){return await new Promise(((i,a)=>{let r=x._nextTaskID++;x._taskCallbackMap.set(r,(async e=>{if(e.success)return i();{let t=new Error(e.message);return t.stack=e.stack+"\n"+t.stack,a(t)}})),x._cvrWorker.postMessage({type:"setThresholdValue",id:r,instanceID:this._instanceID,body:{threshold:e,leftLimit:t,rightLimit:s}})}))}async dispose(){this._checkIsDisposed(),this._promiseStartScan&&this.stopCapturing(),this.isa=null,this._resultReceiverSet.clear(),this._isaStateListenerSet.clear(),this._resultFilterSet.clear(),this.bDestroyed=!0;let e=x._nextTaskID++;x._taskCallbackMap.set(e,(e=>{if(!e.success){let t=new Error(e.message);throw t.stack=e.stack+"\n"+t.stack,t}})),x._cvrWorker.postMessage({type:"dispose",id:e,instanceID:this._instanceID})}}x._jsVersion="2.0.11",x._jsEditVersion="20230823",x._version="loading...(JS "+x._jsVersion+"."+x._jsEditVersion+")",x.moduleVersion={},x._pLoad=new r,x._workerName=`cvr-${x._jsVersion}.browser.worker.js`,x._engineResourcePath=I,x.browserInfo=m,x._license=y,x._licenseServer=[],x._deviceFriendlyName="",x.DeviceUUID="DeviceUUID can be obtained after the CVR instance.",x._bWasmDebug=!1,x._nextTaskID=0,x._taskCallbackMap=new Map,x.bSupportDce4Module=-1,x.onResourcesLoadStarted=null,x.onResourcesLoadProgress=null,x.onResourcesLoaded=null,x._promisePreloadModule=null;class F{constructor(){this.onCapturedResultReceived=null,this.onOriginalImageResultReceived=null,this.onDecodedBarcodesReceived=null,this.onRecognizedTextLinesReceived=null,this.onDetectedQuadsReceived=null,this.onNormalizedImagesReceived=null,this.onParsedResultsReceived=null}}class A{static getVersion(){return x.getVersion()}}class U{static setLicenseServer(e){S(x,e)}static initLicense(e){try{return R(x,e),b(x),{isSuccess:!0,error:"Successful."}}catch(e){return{isSuccess:!1,error:e.message||e}}}static setDeviceFriendlyName(e){w(x,e)}static getDeviceFriendlyName(){return x._deviceFriendlyName}static getDeviceUUID(){return x.DeviceUUID}static isSupportDceModule(){return 0===x.bSupportDce4Module}}class V{static getVersion(){return x.moduleVersion.LICENSE}}export{x as CaptureVisionRouter,A as CaptureVisionRouterModule,F as CapturedResultReceiver,v as EnumImageSourceState,U as LicenseManager,V as LicenseModule};
